@import '../../../../../../../styles.scss';

.ContenedorImagenes {
  @extend .form-group;
  @extend .col-12;
  @extend .col-lg-8;

  &--Cabecera {
    @extend .row;
    @extend .pt-1;
    @extend .pb-1;
    @extend .text-center;
    @extend .align-middle;
    @extend .rounded;
    @extend .border-bottom-primary;

    &-ColumnaEtiqueta {
      @extend .text-primary;
      @extend .text-center;
      @extend .font-weight-bold;
    }
  }

  &--Detalles {
    @extend .ml-1;
    @extend .pt-2;
    @extend .pb-2;
  }

  &--Item {
    @extend .row;
    @extend .d-flex;
    @extend .align-items-center;
    @extend .text-center;
    @extend .pt-2;
    @extend .pb-2;
    border-bottom: 1px solid #e9ecef;

    &-Imagen {
      @extend .img-fluid;
      @extend .card-img-top;
      @extend .text-center;

      width: 64px;
      height: 64px;
    }

    &-Titulo {
      @extend .text-left;
      @extend .text-xs;
      @extend .text-center;
    }
  }

  &--Paginacion {
    @extend .row;
  }
}

.ContendorImagenDetalle {
  @extend .form-group;
  @extend .col-12;
  @extend .col-lg-4;

  &--ImagenDetalle {
    @extend .img-fluid;
    width: 256px;
    height: 256px;
  }
}
